import socket

server = socket.socket(socket.AF_INET, socket.SOCK_STREAM)
server.bind(("0.0.0.0", 10000))
server.listen(1)
print("TCP сервер запущен")

while True:
    conn, addr = server.accept()
    print(f"Подключение от {addr}")

    data = conn.recv(1024)
    if not data:
        break
    conn.sendall(data.upper())

    conn.close()

    if data.upper() == b'EXIT':
        break
